<?php


class ConfirmaDados extends CI_Controller {
      
    function __construct() {
        
        parent::__construct();
        (isset($_SESSION['controle-aluno']) == TRUE) ? redirect('carreira') : '';
        $this->load->model('Cadastro_Model');
        $this->load->model('Cursos_Model');
        $this->load->library('Criptografia');
        $this->load->library('Sanitize');
        $this->load->database();
    }
    
    public function confirmaendereco() {
        
        if (isset($_SESSION['aluno']) == TRUE) {
            $id = $_SESSION['aluno']['id_aluno'];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id);
            $estados = array(
                'PA' => 'Pará',
                'AC' => 'Acre',
                'AL' => 'Alagoas',
                'AP' => 'Amapá',
                'AM' => 'Amazonas',
                'BA' => 'Bahia',
                'CE' => 'Ceará',
                'DF' => 'Distrito Federal',
                'ES' => 'Espírito Santo',
                'GO' => 'Goiás',
                'MA' => 'Maranhão',
                'MT' => 'Mato Grosso',
                'MS' => 'Mato Grosso do Sul',
                'MG' => 'Minas Gerais',
                'PB' => 'Paraíba',
                'PR' => 'Paraná',
                'PE' => 'Pernambuco',
                'PI' => 'Piauí',
                'RJ' => 'Rio de Janeiro',
                'RN' => 'Rio Grande do Norte',
                'RS' => 'Rio Grande do Sul',
                'RO' => 'Rondônia',
                'RR' => 'Roraima',
                'SC' => 'Santa Catarina',
                'SP' => 'São Paulo',
                'SE' => 'Sergipe',
                'TO' => 'Tocantins'
            );
            $dados = array('estados' => $estados,'termos' => $this->Cadastro_Model->obtemTermo(), 'titulo' => 'Confirmação de Endereço', 'erro_conf' => NULL, 'aluno' => $aluno);
            $this->load->view('confirmaendereco', $dados);    
         } else {
             redirect();
         }
    }
    
    public function confirmacao() {
        
        $_POST = $this->sanitize->filter($this->input->post());

        $data = array(
            'ddd' => $this->input->post('ddd_celular', TRUE), 'telefone' => $this->input->post('celular', TRUE), 'cep' => str_replace('-', '', $this->input->post('cep', TRUE)), 'endereco' => $this->input->post('endereco', TRUE), 'numero' => $this->input->post('numero', TRUE), 'complemento' => $this->input->post('complemento', TRUE), 'bairro' => $this->input->post('bairro', TRUE), 'cidade' => $this->input->post('cidade', TRUE), 'estado' => $this->input->post('estado', TRUE)
        );
        
        $this->form_validation->set_rules('ddd_celular', 'ddd', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O DDD está em branco'));
        $this->form_validation->set_rules('celular', 'celular', 'trim|required|min_length[9]|max_length[9]', array('required' => 'O celular está em branco'));
        $this->form_validation->set_rules('cep', 'Cep', 'trim|required', array('required' => 'O seu cep está em branco'));
        $this->form_validation->set_rules('endereco', 'endereco', 'trim|required', array('required' => 'O seu endereço está em branco'));
        $this->form_validation->set_rules('numero', 'número', 'trim|required', array('required' => 'O seu número está em branco'));
        $this->form_validation->set_rules('bairro', 'bairro', 'trim|required', array('required' => 'O seu bairro está em branco'));
        $this->form_validation->set_rules('cidade', 'cidade', 'trim|required', array('required' => 'A sua cidade está em branco'));
        $this->form_validation->set_rules('estado', 'estado', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O seu estado está em branco'));
        
         if ($this->form_validation->run() == FALSE) {
            $form = validation_errors('<div class="alert alert-warning alert-conf" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> ' , ' </span> </div> </div>');
            $id = $_SESSION['aluno']['id_aluno'];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id);
            $dados = array('termos' => $this->Cadastro_Model->obtemTermo(), 'titulo' => 'Confirmação de Endereço','erro_conf' => $form, 'aluno' => $aluno);
            $this->load->view('confirmaendereco', $dados);    
        } else {
            
            $this->Cadastro_Model->autalizadadoscadastrais($data);
          
            if (isset($_SESSION['prova-confirma']) == FALSE) {
                
            
                
                
            redirect('finalizarpedido');
            } else {
            
            redirect('prova/' .$_SESSION['prova-confirma']['prova']);    
            
            }    
        } 
    }
    
    public function confirmacao_old() {
        
        $_POST = $this->sanitize->filter($this->input->post());

        $data = array(
            'ddd' => $this->input->post('ddd_celular', TRUE), 'telefone' => $this->input->post('celular', TRUE), 'cep' => str_replace('-', '', $this->input->post('cep', TRUE)), 'endereco' => $this->input->post('endereco', TRUE), 'numero' => $this->input->post('numero', TRUE), 'complemento' => $this->input->post('complemento', TRUE), 'bairro' => $this->input->post('bairro', TRUE), 'cidade' => $this->input->post('cidade', TRUE), 'estado' => $this->input->post('estado', TRUE)
        );
        
        $this->form_validation->set_rules('ddd_celular', 'ddd', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O DDD está em branco'));
        $this->form_validation->set_rules('celular', 'celular', 'trim|required|min_length[9]|max_length[9]', array('required' => 'O celular está em branco'));
        $this->form_validation->set_rules('cep', 'Cep', 'trim|required', array('required' => 'O seu cep está em branco'));
        $this->form_validation->set_rules('endereco', 'endereco', 'trim|required', array('required' => 'O seu endereço está em branco'));
        $this->form_validation->set_rules('numero', 'número', 'trim|required', array('required' => 'O seu número está em branco'));
        $this->form_validation->set_rules('bairro', 'bairro', 'trim|required', array('required' => 'O seu bairro está em branco'));
        $this->form_validation->set_rules('cidade', 'cidade', 'trim|required', array('required' => 'A sua cidade está em branco'));
        $this->form_validation->set_rules('estado', 'estado', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O seu estado está em branco'));
        
         if ($this->form_validation->run() == FALSE) {
            $form = validation_errors('<div class="alert alert-warning alert-conf" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> ' , ' </span> </div> </div>');
            $id = $_SESSION['aluno']['id_aluno'];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id);
            $dados = array('termos' => $this->Cadastro_Model->obtemTermo(), 'titulo' => 'Confirmação de Endereço','erro_conf' => $form, 'aluno' => $aluno);
            $this->load->view('confirmaendereco', $dados);    
        } else {
            
            $this->Cadastro_Model->autalizadadoscadastrais($data);
            
            redirect('finalizarpedido');
        } 
    }
    
    public function alterarnome() {
        $this->form_validation->set_rules('nome-aluno', 'nome', 'trim|required', array('required' => 'O campo nome precisa ser preenchido'));
        if ($this->form_validation->run() == FALSE) {
            $form = validation_errors('<div class="alert alert-warning" role="alert"><div class=""> <i class="fa fa-info-circle"></i> <span> ' , ' </span> </div> </div>');
            $this->session->set_flashdata('erro-email', $form);
            redirect('meusdados');
        } else {
            
            $this->db->update(
                    'aluno', 
                    array('nome' => $this->input->post('nome-aluno')), 
                    array('id_aluno' => $_SESSION['aluno']['id_aluno'])
                    );
            $flash = '<div class="alert alert-success" role="alert"><div class=""> <i class="fa fa-check-circle"></i> <span>Nome alterado com sucesso</span></div></div>';
            $this->session->set_flashdata('erro-email', $flash);
            redirect('meusdados');
        }
    }
}
